PPI::Token::Label(3pm)

NAME
PPI::Token::Label - Token class for a statement label

INHERITANCE
  PPI::Token::Label
  isa PPI::Token
      isa PPI::Element

DESCRIPTION
A label is an identifier attached to a line or statements, to allow for various types of flow control. For example, a loop might have a label attached so that a "last" or "next" flow control statement can be used from multiple levels below to reference the loop directly.

METHODS
There are no additional methods beyond those provided by the parent PPI::Token and PPI::Element classes.

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.